Get Plan History Record

Get Plan History Record

Get information about the history report for a recovery run of a recovery plan in a given pairing.

Request
URI
GET
https://{api_host}/pairings/{pairing_id}/recovery-management/plans/{plan_id}/history-reports/{report_id}
COPY
Path Parameters
string
pairing_id
Required

The ID of a pairing between this Site Recovery Manager server and remote one

string
plan_id
Required

The ID of a recovery plan defined within current pairing

string
report_id
Required

The ID of the history report.


Authentication
This operation uses the following authentication methods.
Responses
200

Information about the recovery run history report.

Returns HistoryReportDrResponseEntity of type(s) application/json
This response body class contains all of the following: InlineHistoryReportDrResponseEntity0 , InlineHistoryReportDrResponseEntity1
{
    "plan_name": "string",
    "username": "string",
    "operation_type": "string",
    "start_time_ms": 0,
    "human_friendly_duration": "2 d 3 h 25 m 10 s",
    "duration_ms": 0,
    "result_state": "string",
    "error_count": 0,
    "warning_count": 0,
    "run_key": 0,
    "errors_list": [
        "string"
    ],
    "warnings_list": [
        "string"
    ],
    "_meta": {
        "errors": [
            {
                "code": "string",
                "message": "string",
                "field": "string"
            }
        ]
    }
}

400

Bad request - the server cannot understand the request due to invalid syntax or invalid request body content

Returns ResponseError of type(s) application/json
"ResponseError Object"
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


401

Unauthorized - the client must authenticate itself to get the requested response

Operation doesn't return any data structure

403

Forbidden - not sufficient access rights to fulfill the request

Returns ResponseError of type(s) application/json
"ResponseError Object"
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


404

Not Found - server cannot find the requested in URL resource

Operation doesn't return any data structure

500

Internal server error - unexpected condition prevents fulfilling the request

Returns ResponseError of type(s) application/json
"ResponseError Object"
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/pairings/{pairing_id}/recovery-management/plans/{plan_id}/history-reports/{report_id}